(function ($, Drupal, drupalSettings) {
    Drupal.behaviors.userAgentClassBehavior = {
      attach: function (context, settings) {
        var userAgent = navigator.userAgent;
        var listDevicesAndBrowsers = drupalSettings.user_agent_class.ListDevicesAndBrowsers;
        var listDevices = listDevicesAndBrowsers[0].device_entity;
        var listBrowsers = listDevicesAndBrowsers[1].user_agent_entity;

        var methodProvide = drupalSettings.user_agent_class.methodProvide;
        if (methodProvide == 0) {
          var classes = [];

          for (var item in listBrowsers) {
            if(listBrowsers[item].exclude.length > 0 && userAgent.search(listBrowsers[item].exclude) > 0 && userAgent.search(listBrowsers[item].trigger) > 0){
              continue
            }
            else if (userAgent.search(listBrowsers[item].trigger) > 0) {
              classes.push(listBrowsers[item].className)
              break
            }
          }
          for (var item in listDevices) {
            if(listDevices[item].exclude.length > 0 && userAgent.search(listDevices[item].exclude) > 0 && userAgent.search(listDevices[item].trigger) > 0){
              continue
            }
            else if (userAgent.search(listDevices[item].trigger) > 0) {
              classes.push(listDevices[item].className)
              break
            }
          }
          var classesInBody = classes.join(' ');
          $('body').addClass(classesInBody);
        }
      }
    };
  }
)(jQuery, Drupal, drupalSettings);
